<?php 

class searchComponents extends sfComponents
{
  public function executeSideBar() {

  }
  
  public function executeSelectedFilm() {
	// Get image filename
    $images = $this->film->getImages();
    $this->imageFilename = null;

    if ($images) {
      $image = $images[0];
      $this->imageFilename = $image->getFile();
    }
    
    // Get Tags
    $tags = $this->film->getTagsArray();
    $this->tagList = null;
    if ($tags) {
    	$this->tagList = $tags;
    }
    

    // Get video filename
    $videos = $this->film->getVideos();
    $this->videoFilename = null;

    if ($videos) {
      $video = $videos[0];
      $this->videoFilename = $video->getFile();
    }
  }  
    
  
}